Optionally extract statistic from observation definition XML file

10/21/2017 02:05 PM - Knödlseder Jürgen

Status: Closed Start date: 10/21/2017

Priority: Normal Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.5.0   

Description

It should be possible to specify the statistic in the observation definition XML file:

<observation_list title="observation library">

  <observation name="..." id="..." instrument="..." statistic="CSTAT">

  ...

  </observation>

  <observation name="..." id="..." instrument="..." statistic="WSTAT">

  ...

   </observation>

  ...

 </observation_list>

The change should be made in GObservations::read().

History

#1 - 10/21/2017 03:10 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- % Done changed from 0 to 10

Changed the GObservations::statistics methods to GObservations::statistic which is semantically better (not "s" in statistic). This requires also an

update of ctools.

#2 - 10/21/2017 03:19 PM - Knödlseder Jürgen

I'm no longer sure that this should be handled at the GObservations::read() method level since the statistic value should be checked to signal

immediately if an invalid value was specified.

For example for Fermi-LAT, COMPTEL and the MWL interface the statistic cannot be changed. This is therefore only really relevant for CTA for the

moment.

#3 - 10/22/2017 12:52 AM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 10 to 100

I implemented the handling of the statistic attribute in the CTA observation classes.

The code was merged into devel.
